import { FormController } from '../../../../components';
import { IAddress } from '../../../../api/Business';
import { CountryCode } from '../../../../utils/country-codes';
export declare class LegalAddressForm {
    formController: FormController;
    errors: any;
    legal_address: IAddress;
    country: CountryCode;
    constructor();
    componentDidLoad(): void;
    inputHandler(name: string, value: string): void;
    render(): any;
}
